Get models
curl --request GET \
--url https://api-dev.narrative.io/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prev_page": null,
"current_page": 1,
"next_page": null,
"total_records": 2,
"total_pages": 1,
"records": [
{
"id": 1,
"company_id": 1,
"name": "Llama-3.2-1B",
"license_id": "META-LLAMA-COMMUNITY-3.2",
"repository": {
"type": "hugging_face",
"organization": "meta-llama"
},
"collaborators": {
"training": {
"type": "all"
},
"inference": {
"type": "all"
}
},
"description": "Base Llama 3.2 1B model",
"tags": [
"llm",
"base"
],
"base_model_id": null,
"created_at": "2024-01-10T08:00:00Z",
"updated_at": null,
"archived_at": null,
"version": 1,
"status": "active"
},
{
"id": 2,
"company_id": 1,
"name": "Llama-3.1-8B-Instruct",
"license_id": "META-LLAMA-COMMUNITY-3.1",
"repository": {
"type": "hugging_face",
"organization": "meta-llama"
},
"collaborators": {
"training": {
"type": "all"
},
"inference": {
"type": "all"
}
},
"description": "Fine-tuned Llama model for instruction following",
"tags": [
"llm",
"instruct"
],
"base_model_id": null,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": null,
"archived_at": null,
"version": 1,
"status": "active"
}
]
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}Models
Get models
Returns a paginated list of models accessible to the authenticated company.
Models can be filtered by repository type and sorted by creation date.
GET
/
models
Get models
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number. Starts from the first (1) page.
Number of records to return per page.
Filter models by repository type. Can be specified multiple times to filter by multiple types.
Available options:
hugging_face, narrative Sort order for results.
Available options:
created_at_asc, created_at_desc Response
OK
Show child attributes
Show child attributes
The number of the previous page, or null on the first page.
Example:
1
The number of requested page.
Example:
1
The number of the next page, or null on the last page.
Example:
2
Total number of model records.
Example:
15
Total number of pages.
Example:
2
Was this page helpful?

